NX Open C++ Reference Guide
|
Represents a @link Features::ProjectCurve Features::ProjectCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateProjectCurveBuilder Features::FeatureCollection::CreateProjectCurveBuilder @endlink <br>
Default values. More...
Public Types | |
enum | ArcLengthType { ArcLengthTypeBothXY, ArcLengthTypeFirstXThenY, ArcLengthTypeFirstYThenX, ArcLengthTypeXOnly, ArcLengthTypeYOnly } |
Represents Equal Arc Length type. More... | |
enum | DirectionType { DirectionTypeAlongFaceNormal, DirectionTypeTowardPoint, DirectionTypeTowardLine, DirectionTypeAlongVector, DirectionTypeAngleToVector } |
Represents direction method. More... | |
enum | ProjectionOptionType { ProjectionOptionTypeNone, ProjectionOptionTypeProjectBothSides, ProjectionOptionTypeEqualArcLength } |
Represents projection option type used when direction type is along vector. More... | |
Public Member Functions | |
NXOpen::Expression * | AngleToProjectionVector () |
Returns the angle to projection vector Created in NX5.0.0. | |
double | BridgedGapSize () |
Returns the maximum bridged gap size. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fit settings Created in NX8.0.0. | |
NXOpen::GeometricUtilities::CurveFitJoin * | CurveFitJoinData () |
Returns the curve fit join method | |
NXOpen::Features::ProjectCurveBuilder::ArcLengthType | EqualArcLengthMethod () |
Returns the equal arc length method Created in NX5.0.0. | |
NXOpen::SelectObjectList * | FaceToProjectTo () |
Returns the face to project to Created in NX5.0.0. | |
bool | GapOption () |
Returns the gap option whether to create curve to bridge gap or not Created in NX7.5.0. | |
NXOpen::GeometricUtilities::CurveOptions * | InputCurvesOption () |
Returns the input curves option Created in NX5.0.0. | |
NXOpen::SelectDisplayableObject * | LineToProjectToward () |
Returns the line to project toward Created in NX5.0.0. | |
bool | NearestPointOption () |
Returns the nearest point option whether to project curve by nearest point or not. | |
NXOpen::Plane * | PlaneToProjectTo () |
Returns the plane to project to Created in NX5.0.0. | |
NXOpen::Point * | PointToProjectToward () |
Returns the point to project toward Created in NX5.0.0. | |
NXOpen::Features::ProjectCurveBuilder::DirectionType | ProjectionDirectionMethod () |
Returns the projection direction method Created in NX5.0.0. | |
NXOpen::Features::ProjectCurveBuilder::ProjectionOptionType | ProjectionOption () |
Returns the projection option type Created in NX5.0.0. | |
NXOpen::Direction * | ProjectionVector () |
Returns the projection vector Created in NX5.0.0. | |
NXOpen::Point * | ReferencePointForEqualArcLength () |
Returns the reference point for equal arc length Created in NX5.0.0. | |
NXOpen::Section * | SectionToProject () |
Returns the section to project Created in NX5.0.0. | |
void | SetBridgedGapSize (double bridgedGapSize) |
Sets the maximum bridged gap size. | |
void | SetEqualArcLengthMethod (NXOpen::Features::ProjectCurveBuilder::ArcLengthType arcLengthMethod) |
Sets the equal arc length method Created in NX5.0.0. | |
void | SetGapOption (bool gapOption) |
Sets the gap option whether to create curve to bridge gap or not Created in NX7.5.0. | |
void | SetNearestPointOption (bool nearestPointOption) |
Sets the nearest point option whether to project curve by nearest point or not. | |
void | SetPlaneToProjectTo (NXOpen::Plane *projectedPlane) |
Sets the plane to project to Created in NX5.0.0. | |
void | SetPointToProjectToward (NXOpen::Point *towardPoint) |
Sets the point to project toward Created in NX5.0.0. | |
void | SetProjectionDirectionMethod (NXOpen::Features::ProjectCurveBuilder::DirectionType directionMethod) |
Sets the projection direction method Created in NX5.0.0. | |
void | SetProjectionOption (NXOpen::Features::ProjectCurveBuilder::ProjectionOptionType projectionOption) |
Sets the projection option type Created in NX5.0.0. | |
void | SetProjectionVector (NXOpen::Direction *alongVector) |
Sets the projection vector Created in NX5.0.0. | |
void | SetReferencePointForEqualArcLength (NXOpen::Point *referencePoint) |
Sets the reference point for equal arc length Created in NX5.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance Created in NX5.0.0. | |
void | SetXVectorForEqualArcLength (NXOpen::Direction *xVector) |
Sets the x vector for equal arc length Created in NX5.0.0. | |
double | Tolerance () |
Returns the tolerance Created in NX5.0.0. | |
NXOpen::Direction * | XVectorForEqualArcLength () |
Returns the x vector for equal arc length Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ProjectCurve Features::ProjectCurve@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateProjectCurveBuilder Features::FeatureCollection::CreateProjectCurveBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleToProjectionVector.Value |
0.0 |
BridgedGapSize |
1.0 (millimeters part), 0.04 (inches part) |
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
CurveFitJoinData.CurveFitOptions.FitOption (deprecated) |
Cubic |
CurveFitJoinData.CurveFitOptions.MaximumDegree (deprecated) |
7 |
CurveFitJoinData.CurveFitOptions.MaximumSegments (deprecated) |
1 |
EqualArcLengthMethod |
BothXY |
GapOption |
false |
InputCurvesOption.Associative |
True |
NearestPointOption |
false |
ProjectionDirectionMethod |
AlongFaceNormal |
ProjectionOption |
None |
Created in NX5.0.0.
Represents Equal Arc Length type.
Represents direction method.
Represents projection option type used when direction type is along vector.
ProjectionOptionTypeNone |
Represents None. |
ProjectionOptionTypeProjectBothSides |
Represents Project Both Sides. |
ProjectionOptionTypeEqualArcLength |
Represents Equal Arc Length. |
NXOpen::Expression* NXOpen::Features::ProjectCurveBuilder::AngleToProjectionVector | ( | ) |
Returns the angle to projection vector
Created in NX5.0.0.
License requirements : None
double NXOpen::Features::ProjectCurveBuilder::BridgedGapSize | ( | ) |
Returns the maximum bridged gap size.
When gap distance is less than maximum bridged gap size and bigger than the default modeling tolerance, NX project curve will add an internal bridge curve to close the gap between segments in projection curve. This option is only valid if @link Features::ProjectCurveBuilder::GapOption Features::ProjectCurveBuilder::GapOption @endlink and @link Features::ProjectCurveBuilder::SetGapOption Features::ProjectCurveBuilder::SetGapOption @endlink is true.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::ProjectCurveBuilder::CurveFitData | ( | ) |
Returns the curve fit settings
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitJoin* NXOpen::Features::ProjectCurveBuilder::CurveFitJoinData | ( | ) |
Returns the curve fit join method
Use Features::ProjectCurveBuilder::CurveFitData instead
Created in NX5.0.0.
License requirements : None
NXOpen::Features::ProjectCurveBuilder::ArcLengthType NXOpen::Features::ProjectCurveBuilder::EqualArcLengthMethod | ( | ) |
Returns the equal arc length method
Created in NX5.0.0.
License requirements : None
NXOpen::SelectObjectList* NXOpen::Features::ProjectCurveBuilder::FaceToProjectTo | ( | ) |
Returns the face to project to
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::ProjectCurveBuilder::GapOption | ( | ) |
Returns the gap option whether to create curve to bridge gap or not
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveOptions* NXOpen::Features::ProjectCurveBuilder::InputCurvesOption | ( | ) |
Returns the input curves option
Created in NX5.0.0.
License requirements : None
NXOpen::SelectDisplayableObject* NXOpen::Features::ProjectCurveBuilder::LineToProjectToward | ( | ) |
Returns the line to project toward
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::ProjectCurveBuilder::NearestPointOption | ( | ) |
Returns the nearest point option whether to project curve by nearest point or not.
This option is only valid if @link Features::ProjectCurveBuilder::DirectionTypeAlongVector Features::ProjectCurveBuilder::DirectionTypeAlongVector@endlink is used and @link Features::ProjectCurveBuilder::ProjectionOptionTypeNone Features::ProjectCurveBuilder::ProjectionOptionTypeNone@endlink or @link Features::ProjectCurveBuilder::ProjectionOptionTypeProjectBothSides Features::ProjectCurveBuilder::ProjectionOptionTypeProjectBothSides@endlink is used.
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ProjectCurveBuilder::PlaneToProjectTo | ( | ) |
Returns the plane to project to
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ProjectCurveBuilder::PointToProjectToward | ( | ) |
Returns the point to project toward
Created in NX5.0.0.
License requirements : None
NXOpen::Features::ProjectCurveBuilder::DirectionType NXOpen::Features::ProjectCurveBuilder::ProjectionDirectionMethod | ( | ) |
Returns the projection direction method
Created in NX5.0.0.
License requirements : None
NXOpen::Features::ProjectCurveBuilder::ProjectionOptionType NXOpen::Features::ProjectCurveBuilder::ProjectionOption | ( | ) |
Returns the projection option type
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ProjectCurveBuilder::ProjectionVector | ( | ) |
Returns the projection vector
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::ProjectCurveBuilder::ReferencePointForEqualArcLength | ( | ) |
Returns the reference point for equal arc length
Created in NX5.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::ProjectCurveBuilder::SectionToProject | ( | ) |
Returns the section to project
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::ProjectCurveBuilder::SetBridgedGapSize | ( | double | bridgedGapSize | ) |
Sets the maximum bridged gap size.
When gap distance is less than maximum bridged gap size and bigger than the default modeling tolerance, NX project curve will add an internal bridge curve to close the gap between segments in projection curve. This option is only valid if @link Features::ProjectCurveBuilder::GapOption Features::ProjectCurveBuilder::GapOption @endlink and @link Features::ProjectCurveBuilder::SetGapOption Features::ProjectCurveBuilder::SetGapOption @endlink is true.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
bridgedGapSize | bridgedgapsize |
void NXOpen::Features::ProjectCurveBuilder::SetEqualArcLengthMethod | ( | NXOpen::Features::ProjectCurveBuilder::ArcLengthType | arcLengthMethod | ) |
Sets the equal arc length method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
arcLengthMethod | arclengthmethod |
void NXOpen::Features::ProjectCurveBuilder::SetGapOption | ( | bool | gapOption | ) |
Sets the gap option whether to create curve to bridge gap or not
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
gapOption | gapoption |
void NXOpen::Features::ProjectCurveBuilder::SetNearestPointOption | ( | bool | nearestPointOption | ) |
Sets the nearest point option whether to project curve by nearest point or not.
This option is only valid if @link Features::ProjectCurveBuilder::DirectionTypeAlongVector Features::ProjectCurveBuilder::DirectionTypeAlongVector@endlink is used and @link Features::ProjectCurveBuilder::ProjectionOptionTypeNone Features::ProjectCurveBuilder::ProjectionOptionTypeNone@endlink or @link Features::ProjectCurveBuilder::ProjectionOptionTypeProjectBothSides Features::ProjectCurveBuilder::ProjectionOptionTypeProjectBothSides@endlink is used.
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
nearestPointOption | nearestpointoption |
void NXOpen::Features::ProjectCurveBuilder::SetPlaneToProjectTo | ( | NXOpen::Plane * | projectedPlane | ) |
Sets the plane to project to
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
projectedPlane | projectedplane |
void NXOpen::Features::ProjectCurveBuilder::SetPointToProjectToward | ( | NXOpen::Point * | towardPoint | ) |
Sets the point to project toward
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
towardPoint | towardpoint |
void NXOpen::Features::ProjectCurveBuilder::SetProjectionDirectionMethod | ( | NXOpen::Features::ProjectCurveBuilder::DirectionType | directionMethod | ) |
Sets the projection direction method
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
directionMethod | directionmethod |
void NXOpen::Features::ProjectCurveBuilder::SetProjectionOption | ( | NXOpen::Features::ProjectCurveBuilder::ProjectionOptionType | projectionOption | ) |
Sets the projection option type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
projectionOption | projectionoption |
void NXOpen::Features::ProjectCurveBuilder::SetProjectionVector | ( | NXOpen::Direction * | alongVector | ) |
Sets the projection vector
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
alongVector | alongvector |
void NXOpen::Features::ProjectCurveBuilder::SetReferencePointForEqualArcLength | ( | NXOpen::Point * | referencePoint | ) |
Sets the reference point for equal arc length
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
referencePoint | referencepoint |
void NXOpen::Features::ProjectCurveBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
tolerance | tolerance |
void NXOpen::Features::ProjectCurveBuilder::SetXVectorForEqualArcLength | ( | NXOpen::Direction * | xVector | ) |
Sets the x vector for equal arc length
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
xVector | xvector |
double NXOpen::Features::ProjectCurveBuilder::Tolerance | ( | ) |
Returns the tolerance
Created in NX5.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ProjectCurveBuilder::XVectorForEqualArcLength | ( | ) |
Returns the x vector for equal arc length
Created in NX5.0.0.
License requirements : None